package com.javahonk.bean;

import java.util.List;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;

@XmlAccessorType(XmlAccessType.FIELD)
public class Vehicle {

	@XmlElement(name = "id")
	private String id;
	@XmlElement(name = "frame")
	private Frame frame;	
	@XmlElement(name = "powertrain")
	private List<Powertrain> powertrainsList;
	@XmlElement(name = "wheels")
	private List<Wheels> wheelsList;
	

	public String getId() {
		return id;
	}

	public void setId(String id) {
		this.id = id;
	}

	public Frame getFrame() {
		return frame;
	}

	public void setFrame(Frame frame) {
		this.frame = frame;
	}

	public List<Powertrain> getPowertrainsList() {
		return powertrainsList;
	}

	public void setPowertrainsList(List<Powertrain> powertrainsList) {
		this.powertrainsList = powertrainsList;
	}

	public List<Wheels> getWheelsList() {
		return wheelsList;
	}

	public void setWheelsList(List<Wheels> wheelsList) {
		this.wheelsList = wheelsList;
	}

	

}
